<?php
/**
* 呼び出し履歴クラス
*
* PHP version 5
*
* @package    debug
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class CallHistory extends Object
{
	private $_args;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $args )
	{
		parent::__construct();

		$this->_args = $args;
	}

	/*
	 *	引数の数を取得
	 */
	public function getArgCount()
	{
		return count($this->_args);
	}

	/*
	 *	n番目のの引数を取得
	 */
	public function getArg( $no )
	{
		return $this->_args[ $no ];
	}


	/*
	 *	文字列化
	 */
	public function toString()
	{
		return implode( ',', $this->_args );
	}
}
return __FILE__;
